KVM_GETERR(3)

NAME
kvm_geterr - get error message on kvm descriptor

LIBRARY
libkvm

SYNOPSIS
#include <kvm.h>
char *
kvm_geterr(kvm_t *kd);

DESCRIPTION
This function returns a string describing the most recent error condition on the descriptor kd. The results are undefined if the most recent kvm(3) library call did not produce an error. The string returned is stored in memory owned by kvm(3) so the message should be copied out and saved elsewhere if necessary.

SEE ALSO
kvm(3), kvm_close(3), kvm_getargv(3), kvm_getenvv(3), kvm_getprocs(3), kvm_nlist(3), kvm_open(3), kvm_openfiles(3), kvm_read(3), kvm_write(3)

BUGS
This routine cannot be used to access error conditions due to a failed kvm_openfiles() call, since failure is indicated by returning a NULL descriptor. Therefore, errors on open are output to the special error buffer passed to kvm_openfiles(). This option is not available to kvm_open().